<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy bottomSurface.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d9/d7f/bottom_surface_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">bottomSurface.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d7f/bottom_surface_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../da/dad/shape_8hh.html">shape.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="../../d8/dc1/classbottom_surface.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d8/dc1/classbottom_surface.html">bottomSurface</a> : <span class="keyword">protected</span> <a class="code" href="../../d7/da7/class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;  <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">   15</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">kGroundFile</a> = <span class="stringliteral">&quot;solid/bottomSurface.dat&quot;</span>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">   21</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">double</span> <a class="code" href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">bottomLevel</a> = -200;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface</a>();</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;};</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ashape_8hh_html"><div class="ttname"><a href="../../da/dad/shape_8hh.html">shape.hh</a></div></div>
<div class="ttc" id="aclassbottom_surface_html"><div class="ttname"><a href="../../d8/dc1/classbottom_surface.html">bottomSurface</a></div><div class="ttdoc">Modeluje pojęcie powierzchmi dna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7f/bottom_surface_8hh_source.html#l00009">bottomSurface.hh:9</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a17014c3403a3813c8b113d783879c5fe"><div class="ttname"><a href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">bottomSurface::kGroundFile</a></div><div class="ttdeci">const std::string kGroundFile</div><div class="ttdoc">Plik z zapisanymi współrzędnymi dna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7f/bottom_surface_8hh_source.html#l00015">bottomSurface.hh:15</a></div></div>
<div class="ttc" id="aclass_shape_html"><div class="ttname"><a href="../../d7/da7/class_shape.html">Shape</a></div><div class="ttdoc">Modeluje pojęcie obiektu geometrycznego.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00012">shape.hh:12</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a0931a99d79e973757222f04623518599"><div class="ttname"><a href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">bottomSurface::bottomLevel</a></div><div class="ttdeci">const double bottomLevel</div><div class="ttdoc">Zamienna zawierająca głębokość dna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7f/bottom_surface_8hh_source.html#l00021">bottomSurface.hh:21</a></div></div>
<div class="ttc" id="aclassbottom_surface_html_a0ce3f995ccb6c47d41765aa99c3a45b6"><div class="ttname"><a href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface::bottomSurface</a></div><div class="ttdeci">bottomSurface()</div><div class="ttdoc">Konstruktor dla klasy bottomSurface.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dcb/bottom_surface_8cpp_source.html#l00003">bottomSurface.cpp:3</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d9/d7f/bottom_surface_8hh.html">bottomSurface.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
